#!/bin/bash
# ======================================================================
# Copyright (c) 2016 by Frank Fischer
# ======================================================================
# Read /etc/environment and parse its content to be HTCondor
# config file compatible
# Set STARTD.JOB_INHERITS_STARTER_ENVIRONMENT = TRUE
# To use these values

ENV_FILE="/etc/environment"

if [ -f $ENV_FILE ]; then
    string=$(<$ENV_FILE)
    string=${string//$'\n'/ }
    string=${string//\"/\"\"}
    echo STARTD.STARTER_JOB_ENVIRONMENT=\"${string}\"
fi
